Page MenuHomePhabricator

Default language of votewiki set to Persian (fa) for anonymous users. Change to English (en)
Closed, ResolvedPublic

Description

Is there a reason for that wiki to be in Persian (fa) as default language for anonymous users?
Even though it's a fishbowl wiki, for an infrastructure wiki it looks weird, since the default language for wikis that are not bound to a language, is English.
Surely one can use ?uselang=en to try to read the few public pages and special pages of this wiki, but....

Event Timeline

Restricted Application added subscribers: JEumerus, Matanya, Aklapper. · View Herald TranscriptOct 17 2016, 1:04 AM
Krenair added a subscriber: Krenair.

not ops

Az1568 added a subscriber: Az1568.Oct 17 2016, 1:31 AM

Yeah, at one point it appears the language there was changed from en to fa for fawiki's elections, but likely could be changed back now.

Huji added a comment.EditedOct 17 2016, 1:40 AM

@Krenair is correct. The patch was created for T132667 and was meant to be temporary. At any rate, the FA WP yearly election is over so the default language can (and should) be changed back to English. Submitting a patch in a few seconds.

Change 316291 had a related patch set uploaded (by Huji):
Reverting I75cf5954ac8d68e607975e7b1b77170915ffe4d1

https://gerrit.wikimedia.org/r/316291

Huji claimed this task.Oct 17 2016, 1:51 AM
Jalexander added a comment.EditedOct 17 2016, 1:57 AM

Yeah, thanks for switching it back, it would have been done before the next election just wasn't yet because there hadn't been any reason to (was waiting until we were setting up the next cycle).

@Huji wait, could you let me to try and process this, after @Krenair enlightened me on how things work nowadays lol . Since it now has a revert task, the patchset shouldn't be described as a revert with the default commit message, but be a commit referencing both tasks in code, otherwise it's considered as rewriting history as if like things didn't happen :D

Huji added a comment.EditedOct 17 2016, 3:01 AM

@Arseny1992 I am not sure I fully follow what you said, but feel free to modify the patch set (i.e. git review -d 316291 then modify files as needed, then git add followed by git commit --amend --all and finally git review -R).

@Huji what I meant is to have proper commit messages and not break histories of task management. As can be seen now with patch set 3 rOMWC5369d4b902a6 both of these aspects are covered and also act as a reminder for next times we'd have to change default language of a special wiki. Point is, once the configuration was overridden, we keep track of changes. Otherwise we'd have to remove explicit language configurations for the other special wikis in that same section that are en also

Huji added a comment.Oct 17 2016, 11:40 AM

Gotcha. I like PS3.

If this happens more often, we may want to override the mainpage key in the MediaWiki namespace of vote.wikimedia.org, otherwise the Main Page link in the sidebar and project logo (as well as the redirect from the document root at https://vote.wikimedia.org) will point to a 404 Not Found. – As it currently does.

Change 316291 merged by jenkins-bot:
Reverting votewiki back to en

https://gerrit.wikimedia.org/r/316291

Mentioned in SAL (#wikimedia-operations) [2016-10-19T23:35:52Z] <dereckson@mira> Synchronized wmf-config/InitialiseSettings.php: Reverting votewiki back to English (T148352) (duration: 00m 50s)

Huji closed this task as Resolved.Oct 20 2016, 3:09 AM